Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(248)

Unified Diff: scripts/update_tz.sh

Issue 1051193002: Update tz db to 2015b (Closed) Base URL: https://chromium.googlesource.com/chromium/deps/icu.git@master
Patch Set: quote for $0 Created 5 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « scripts/make_n_copy_data.sh ('k') | source/data/in/icudtl.dat » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: scripts/update_tz.sh
diff --git a/scripts/update_tz.sh b/scripts/update_tz.sh
new file mode 100644
index 0000000000000000000000000000000000000000..ad575a5c6537ceb3a430e45d88e8aa7f7d91a2e2
--- /dev/null
+++ b/scripts/update_tz.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+# Copyright (c) 2015 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# Download the 4 files below from the ICU data repository ($baseurl below) and
+# put them in source/data/misc to update the IANA timezone database in ICU.
+#
+# metaZones.txt timezoneTypes.txt windowsZones.txt zoneinfo64.txt
+#
+# For IANA Time zone database, see https://www.iana.org/time-zones
+
+if [ $# -lt 1 ];
+then
+ echo "Usage: $0 version (e.g. '2015b')"
+ exit 1
+fi
+
+version=$1
+baseurl="http://source.icu-project.org/repos/icu/data/trunk/tzdata/icunew/"
+outputdir="$(dirname "$0")/../source/data/misc"
+
+# The latest ICU version for which the timezone data format changed in
+# an incompatible manner.
+# For a given IANA tz db version (e.g. 2015b),
+# http://source.icu-project.org/repos/icu/data/trunk/tzdata/icunew/${version}
+# has subdirectories for different ICU data versions. As of April 2015, 44
+# is the latest even though the latest ICU release is 55.
+icudataversion=44
+
+sourcedirurl="${baseurl}/${version}/${icudataversion}"
+
+for f in metaZones.txt timezoneTypes.txt windowsZones.txt zoneinfo64.txt
+do
+ wget -O "${outputdir}/${f}" "${sourcedirurl}/${f}"
+done
« no previous file with comments | « scripts/make_n_copy_data.sh ('k') | source/data/in/icudtl.dat » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698